package org.example.mybatisplus.model.auto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import com.baomidou.mybatisplus.annotation.*;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;


/**
 * 企业风险信息申报对象 cms_ent_risk_info_decl
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:37
 */
@TableName("cms_ent_risk_info_decl")
public class CmsEntRiskInfoDecl  {

	private static final long serialVersionUID = 1L;

	/** 主键 */
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	private Long declId;

	/** 企业名称 */
	@ApiModelProperty(value = "企业名称")
	private String entName;

	/** 企业三合一码 */
	@ApiModelProperty(value = "企业三合一码")
	private String regCode;

	/** 申报编号 */
	@ApiModelProperty(value = "申报编号")
	private String declSn;

	/** 申报类型 */
	@ApiModelProperty(value = "申报类型")
	private String declType;

	/** 申报地址 */
	@ApiModelProperty(value = "申报地址")
	private String declUrl;

	/** 提取码 */
	@ApiModelProperty(value = "提取码")
	private String secretKey;
	/** 申报开始时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "申报开始时间")
	private Date issueDate;
	/** 申报截止时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "申报截止时间")
	private Date expiryDate;

	/** 申报状态 */
	@ApiModelProperty(value = "申报状态")
	private String declState;

	/** 打开信息 */
	@ApiModelProperty(value = "打开信息")
	private String openInfo;

	/** 提交信息 */
	@ApiModelProperty(value = "提交信息")
	private String submitInfo;

	/** 评价信息 */
	@ApiModelProperty(value = "评价信息")
	private String checkInfo;

	/** 表单结构 */
	@ApiModelProperty(value = "表单结构")
	private String formItems;

	/** 申报结果 */
	@ApiModelProperty(value = "申报结果")
	private String declResult;

	/** 邀约人信息 */
	@ApiModelProperty(value = "邀约人信息")
	private String declSender;

	/** 诶邀约人信息 */
	@ApiModelProperty(value = "诶邀约人信息")
	private String declRecipient;

	/** 关联ID */
	@ApiModelProperty(value = "关联ID")
	private Long parentId;

	/** 部门ID */
	@ApiModelProperty(value = "部门ID")
	private Long deptId;

	/** 所属租户 */
	@ApiModelProperty(value = "所属租户")
	private Long tenantId;

	/** 创建人 */
	@ApiModelProperty(value = "创建人")
	private String createdBy;

	/** 修改人 */
	@ApiModelProperty(value = "修改人")
	private String modifiedBy;
	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createdTime;
	/** 修改时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date modifiedTime;
	
	@JsonProperty("declId")
	public Long getDeclId() {
		return declId;
	}

	public void setDeclId(Long declId) {
		this.declId =  declId;
	}
	@JsonProperty("entName")
	public String getEntName() {
		return entName;
	}

	public void setEntName(String entName) {
		this.entName =  entName;
	}
	@JsonProperty("regCode")
	public String getRegCode() {
		return regCode;
	}

	public void setRegCode(String regCode) {
		this.regCode =  regCode;
	}
	@JsonProperty("declSn")
	public String getDeclSn() {
		return declSn;
	}

	public void setDeclSn(String declSn) {
		this.declSn =  declSn;
	}
	@JsonProperty("declType")
	public String getDeclType() {
		return declType;
	}

	public void setDeclType(String declType) {
		this.declType =  declType;
	}
	@JsonProperty("declUrl")
	public String getDeclUrl() {
		return declUrl;
	}

	public void setDeclUrl(String declUrl) {
		this.declUrl =  declUrl;
	}
	@JsonProperty("secretKey")
	public String getSecretKey() {
		return secretKey;
	}

	public void setSecretKey(String secretKey) {
		this.secretKey =  secretKey;
	}
	@JsonProperty("issueDate")
	public Date getIssueDate() {
		return issueDate;
	}

	public void setIssueDate(Date issueDate) {
		this.issueDate =  issueDate;
	}
	@JsonProperty("expiryDate")
	public Date getExpiryDate() {
		return expiryDate;
	}

	public void setExpiryDate(Date expiryDate) {
		this.expiryDate =  expiryDate;
	}
	@JsonProperty("declState")
	public String getDeclState() {
		return declState;
	}

	public void setDeclState(String declState) {
		this.declState =  declState;
	}
	@JsonProperty("openInfo")
	public String getOpenInfo() {
		return openInfo;
	}

	public void setOpenInfo(String openInfo) {
		this.openInfo =  openInfo;
	}
	@JsonProperty("submitInfo")
	public String getSubmitInfo() {
		return submitInfo;
	}

	public void setSubmitInfo(String submitInfo) {
		this.submitInfo =  submitInfo;
	}
	@JsonProperty("checkInfo")
	public String getCheckInfo() {
		return checkInfo;
	}

	public void setCheckInfo(String checkInfo) {
		this.checkInfo =  checkInfo;
	}
	@JsonProperty("formItems")
	public String getFormItems() {
		return formItems;
	}

	public void setFormItems(String formItems) {
		this.formItems =  formItems;
	}
	@JsonProperty("declResult")
	public String getDeclResult() {
		return declResult;
	}

	public void setDeclResult(String declResult) {
		this.declResult =  declResult;
	}
	@JsonProperty("declSender")
	public String getDeclSender() {
		return declSender;
	}

	public void setDeclSender(String declSender) {
		this.declSender =  declSender;
	}
	@JsonProperty("declRecipient")
	public String getDeclRecipient() {
		return declRecipient;
	}

	public void setDeclRecipient(String declRecipient) {
		this.declRecipient =  declRecipient;
	}
	@JsonProperty("parentId")
	public Long getParentId() {
		return parentId;
	}

	public void setParentId(Long parentId) {
		this.parentId =  parentId;
	}
	@JsonProperty("deptId")
	public Long getDeptId() {
		return deptId;
	}

	public void setDeptId(Long deptId) {
		this.deptId =  deptId;
	}
	@JsonProperty("tenantId")
	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId =  tenantId;
	}
	@JsonProperty("createdBy")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy =  createdBy;
	}
	@JsonProperty("modifiedBy")
	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy =  modifiedBy;
	}
	@JsonProperty("createdTime")
	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime =  createdTime;
	}
	@JsonProperty("modifiedTime")
	public Date getModifiedTime() {
		return modifiedTime;
	}

	public void setModifiedTime(Date modifiedTime) {
		this.modifiedTime =  modifiedTime;
	}

																																																
	public CmsEntRiskInfoDecl(Long declId,String entName,String regCode,String declSn,String declType,String declUrl,String secretKey,Date issueDate,Date expiryDate,String declState,String openInfo,String submitInfo,String checkInfo,String formItems,String declResult,String declSender,String declRecipient,Long parentId,Long deptId,Long tenantId,String createdBy,String modifiedBy,Date createdTime,Date modifiedTime) {
		this.declId = declId;
		this.entName = entName;
		this.regCode = regCode;
		this.declSn = declSn;
		this.declType = declType;
		this.declUrl = declUrl;
		this.secretKey = secretKey;
		this.issueDate = issueDate;
		this.expiryDate = expiryDate;
		this.declState = declState;
		this.openInfo = openInfo;
		this.submitInfo = submitInfo;
		this.checkInfo = checkInfo;
		this.formItems = formItems;
		this.declResult = declResult;
		this.declSender = declSender;
		this.declRecipient = declRecipient;
		this.parentId = parentId;
		this.deptId = deptId;
		this.tenantId = tenantId;
		this.createdBy = createdBy;
		this.modifiedBy = modifiedBy;
		this.createdTime = createdTime;
		this.modifiedTime = modifiedTime;
	}

	public CmsEntRiskInfoDecl() {
	    super();
	}

}